module StartX
  class Project
    def initialize
      @starters = YAML.load(File.open(Dir.home + "/.startx" ))
      handle_args
    end

    private

    def handle_args
      _err = "Specify a project or edit your config."
      if ARGV.count > 1 
        run(ARGV[1])
      elsif ARGV.count == 1 
        ARGV.first == "project" ? (puts _err) : (run(ARGV[0]))
      else
        puts _err
      end
    end


    def run(key)
      %x(git clone #{@starters[key]['url']})
      system "#{@starters[key]['scripts']}"
    end
  end
end
